Page MenuHomePhabricator

Rewrite Stats.php
Closed, ResolvedPublic

Description

  • It should be a service
  • It should be renamed to ThresholdLookup
  • Some parts of it needs to be moved to a dedicated service called ThresholdParser

Anything more?

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterReorder attributes in ThresholdLookup
mediawiki/extensions/ORES : masterRename scoring variables to scoreFetcher
mediawiki/extensions/ORES : masterClean up ThresholdLookup
mediawiki/extensions/ORES : masterSplit ThresholdLookup into two class
mediawiki/extensions/ORES : masterRename Stats to ThresholdLookup and make it a service

Event Timeline

Ladsgroup created this task.Dec 2 2017, 5:10 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 2 2017, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 394760 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Rename Stats to ThresholdLookup and make it a service

https://gerrit.wikimedia.org/r/394760

Change 394760 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Rename Stats to ThresholdLookup and make it a service

https://gerrit.wikimedia.org/r/394760

Halfak added a subscriber: Halfak.Dec 6 2017, 5:52 PM

@Ladsgroup looks like this is "done" or "pending deployment". Is that right?

Nah, I just renamed the class, way more work is needed (specially taking out the parsing part to a dedicated class). Back to "In progress" is better.

Ladsgroup triaged this task as High priority.Dec 18 2017, 10:27 PM
Ladsgroup updated the task description. (Show Details)

The Api.php is a PITA here, I need to find a way to ditch the whole Api class and use a better class

Change 400188 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] [WIP] Split ThresholdLookup into two class

https://gerrit.wikimedia.org/r/400188

Change 400188 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Split ThresholdLookup into two class

https://gerrit.wikimedia.org/r/400188

Change 400625 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Clean up ThresholdLookup

https://gerrit.wikimedia.org/r/400625

Change 400625 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Clean up ThresholdLookup

https://gerrit.wikimedia.org/r/400625

Change 402798 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Reorder attributes in ThresholdLookup

https://gerrit.wikimedia.org/r/402798

Change 402804 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Rename scoring variables to scoreFetcher

https://gerrit.wikimedia.org/r/402804

Change 402804 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Rename scoring variables to scoreFetcher

https://gerrit.wikimedia.org/r/402804

Change 402798 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Reorder attributes in ThresholdLookup

https://gerrit.wikimedia.org/r/402798

Ladsgroup moved this task from In progress to Done on the User-Ladsgroup board.Jan 12 2018, 12:15 PM
Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM
awight mentioned this in Unknown Object (Phame Post).May 2 2018, 6:42 PM
awight mentioned this in Unknown Object (Phame Post).
awight mentioned this in Unknown Object (Phame Post).